package cn.gygxzc.cloud.config.controller

import cn.gygxzc.cloud.config.model.PropertyLabel
import cn.gygxzc.cloud.config.service.ILabelService
import cn.tonyandmoney.tuonq.core.req.PageReq
import com.baomidou.mybatisplus.core.metadata.IPage
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.web.bind.annotation.*
import reactor.core.publisher.Mono


@RestController
@RequestMapping("/v1/property/label")
class PropertyLabelController {


    @Autowired
    private lateinit var labelService: ILabelService

    /**
     * 根据条件查询
     */
    @GetMapping
    fun findAll(@RequestParam("keywords") keywords: String?,
                page: PageReq): Mono<IPage<PropertyLabel>> {
        return labelService.findAll(page, keywords)
    }

    @PostMapping
    fun labelAdd(@RequestBody label: PropertyLabel): Mono<Void> {
        return labelService.addLabel(label)
    }

    @PutMapping
    fun labelEdit(@RequestBody label: PropertyLabel): Mono<Void> {
        return labelService.editLabel(label)
    }

    @DeleteMapping("/{id}")
    fun labelDel(@PathVariable("id") id: Int): Mono<Void> {
        return labelService.delLabel(id)
    }

}