package cn.tonyandmoney.tuonq.core.error;


import org.springframework.boot.web.reactive.error.DefaultErrorAttributes;
import org.springframework.stereotype.Component;
import org.springframework.web.reactive.function.server.ServerRequest;

import java.util.Map;

@Component
public class GlobalErrorAttributes extends DefaultErrorAttributes {

    /**
     * 自定义返回的错误字段
     *
     * @param request        请求
     * @param includeStackTrace 是否包含跟踪信息
     * @return
     */
    @Override
    public Map<String, Object> getErrorAttributes(ServerRequest request, boolean includeStackTrace) {
        Map<String, Object> errorAttributes = super.getErrorAttributes(request, includeStackTrace);
        Throwable error = getError(request);
        if (error instanceof ServerException) {
            errorAttributes.put("code", ((ServerException) error).getCode());
            errorAttributes.put("message", ((ServerException) error).getMsg());
            errorAttributes.put("next", ((ServerException) error).getNext());
        } else {
            errorAttributes.put("message", error.getMessage());
        }
        errorAttributes.remove("error");
        return errorAttributes;
    }


}
