package cn.gygxzc.cloud.tina.eureka;

import de.codecentric.boot.admin.server.config.EnableAdminServer;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.amqp.rabbit.annotation.EnableRabbit;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.data.redis.RedisAutoConfiguration;
import org.springframework.cloud.config.server.EnableConfigServer;
import org.springframework.cloud.netflix.eureka.server.EnableEurekaServer;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * Created by niantuo on 2018/10/19.
 * 注册中心服务
 */
@EnableRabbit
@EnableEurekaServer
@EnableAdminServer
@EnableConfigServer
@EnableFeignClients
@MapperScan("cn.gygxzc.**.dao")
@SpringBootApplication(scanBasePackages = {"cn.gygxzc.cloud", "cn.tonyandmoney.tuonq"}, exclude = {RedisAutoConfiguration.class})
public class MainApplication {

    public static void main(String[] args) {
        SpringApplication.run(MainApplication.class, args);
    }
}
